petsc-3.4.2 2013-07-02

# SNESFASGetLevels

Gets the number of levels in a FAS, including fine and coarse grids

### Synopsis

    #include "petscsnesfas.h"
    PetscErrorCode SNESFASGetLevels(SNES snes, PetscInt *levels)

### Input Parameter

snes -the nonlinear solver context

### Output parameter

levels -the number of levels

### Keywords

MG, get, levels, multigrid

### See Also

SNESFASSetLevels(), PCMGGetLevels()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages